﻿/**Begin E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/

IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_HCDM_ADJAPPRBILL' AND KSQL_COL_NAME ='FADJFIELDCFGID') 
 ALTER TABLE T_HCDM_ADJAPPRBILL ADD (FADJFIELDCFGID BIGINT DEFAULT 0 NOT NULL );
IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_DECADJRELPERSON') 
 CREATE TABLE T_HCDM_DECADJRELPERSON (
FID BIGINT DEFAULT 0 NOT NULL,
FCOUNTRYID BIGINT DEFAULT 0 NOT NULL,
FDEPCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FASSOADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FORGID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCONTRWORKLOCID BIGINT DEFAULT 0 NOT NULL,
FENTRYDATE DATETIME,
FREALREGULARDATE DATETIME,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTTEAMID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONEQUALID BIGINT DEFAULT 0 NOT NULL,
FEOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLEID BIGINT DEFAULT 0 NOT NULL,
FPROTITLELEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLETYPEID BIGINT DEFAULT 0 NOT NULL,
FPOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FOCPQUALID BIGINT DEFAULT 0 NOT NULL,
FDIPLOMAID BIGINT DEFAULT 0 NOT NULL,
FRELIGIONID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FSALAYSTRUCTUREID BIGINT DEFAULT 0 NOT NULL,
FSTDSCMVID BIGINT DEFAULT 0 NOT NULL,
FEMPNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FPERSONNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FHISCOMPANYNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FHISADMINORGNAME VARCHAR(200) DEFAULT ' ' NOT NULL,
FHISJOBNAME VARCHAR(200) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJEVENT') 
 CREATE TABLE T_HCDM_SALARYADJEVENT (
FID BIGINT DEFAULT 0 NOT NULL,
FEVENTTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FEVENTDATE DATETIME,
FCOMMENT VARCHAR(200) DEFAULT ' ' NOT NULL,
FEVENTSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJRECORD') 
 CREATE TABLE T_HCDM_SALARYADJRECORD (
FID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATORID BIGINT DEFAULT 0 NOT NULL,
FMODIFIERID BIGINT DEFAULT 0 NOT NULL,
FENABLE VARCHAR(10) DEFAULT ' ' NOT NULL,
FCREATETIME DATETIME,
FMODIFYTIME DATETIME,
FMASTERID BIGINT DEFAULT 0 NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL,
FINDEX INT DEFAULT 0 NOT NULL,
FINITDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITSTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FINITBATCHID BIGINT DEFAULT 0 NOT NULL,
FBOID BIGINT DEFAULT 0 NOT NULL,
FISCURRENTVERSION VARCHAR(1) DEFAULT ' ' NOT NULL,
FDATASTATUS VARCHAR(10) DEFAULT ' ' NOT NULL,
FSOURCEVID BIGINT DEFAULT 0 NOT NULL,
FFIRSTBSED DATETIME,
FCHANGEBSED DATETIME,
FISMODIFY VARCHAR(1) DEFAULT ' ' NOT NULL,
FBSED DATETIME,
FBSLED DATETIME,
FCHANGEDESCRIPTION VARCHAR(255) DEFAULT ' ' NOT NULL,
FHISVERSION VARCHAR(10) DEFAULT ' ' NOT NULL,
FSALARYADJRSNID BIGINT DEFAULT 0 NOT NULL,
FSTANDARDITEMID BIGINT DEFAULT 0 NOT NULL,
FFREQUENCYID BIGINT DEFAULT 0 NOT NULL,
FGRADEID BIGINT DEFAULT 0 NOT NULL,
FRANKID BIGINT DEFAULT 0 NOT NULL,
FCURRENCYID BIGINT DEFAULT 0 NOT NULL,
FAMOUNT DECIMAL(23,10) DEFAULT NULL,
FOVERSTANDARDTYPE VARCHAR(10) DEFAULT ' ' NOT NULL,
FSALARYPERCENT DECIMAL(19,6) DEFAULT  NULL,
FSALARYSEEPRATE DECIMAL(19,6) DEFAULT  NULL,
FRELPERSONID BIGINT DEFAULT 0 NOT NULL,
FSALARYADJFILEID BIGINT DEFAULT 0 NOT NULL,
FREASON VARCHAR(255) DEFAULT ' ' NOT NULL,
FREMARK VARCHAR(255) DEFAULT ' ' NOT NULL,
FDATASOURCE VARCHAR(10) DEFAULT ' ' NOT NULL,
FBUSSINESSID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJRECORD_A') 
 CREATE TABLE T_HCDM_SALARYADJRECORD_A (
FID BIGINT DEFAULT 0 NOT NULL,
FISSYSPRESET VARCHAR(1) DEFAULT ' ' NOT NULL,
FDISABLERID BIGINT DEFAULT 0 NOT NULL,
FDISABLEDATE DATETIME,
FBRED DATETIME,
FBRLED DATETIME,
FBRFD DATETIME,
FSUGGESTMINRANGE DECIMAL(19,6) DEFAULT  NULL,
FSUGGESTMAXRANGE DECIMAL(19,6) DEFAULT  NULL,
FSUGGESTMINAMOUNT DECIMAL(23,10) DEFAULT  NULL,
FSUGGESTMAXAMOUNT DECIMAL(23,10) DEFAULT  NULL,
FACTUALRANGE DECIMAL(19,6) DEFAULT  NULL,
FACTUALAMOUNT DECIMAL(23,10) DEFAULT  NULL,
FISSEND VARCHAR(10) DEFAULT ' ' NOT NULL,
FNEEDPUSH VARCHAR(10) DEFAULT ' ' NOT NULL,
FSALARYSTDVID BIGINT DEFAULT 0 NOT NULL,
FCOEFFICIENTVID BIGINT DEFAULT 0 NOT NULL,
FINTERVALMIN DECIMAL(23,10) DEFAULT 0 NOT NULL,
FINTERVALMAX DECIMAL(23,10) DEFAULT 0 NOT NULL,
FSALARGREL NCLOB
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALARYADJRECORD_L') 
 CREATE TABLE T_HCDM_SALARYADJRECORD_L (
FID BIGINT DEFAULT 0 NOT NULL,
FLOCALEID VARCHAR(10) DEFAULT ' ' NOT NULL,
FPKID VARCHAR(18) DEFAULT ' ' NOT NULL,
FNAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FSIMPLENAME NVARCHAR(100) DEFAULT ' ' NOT NULL,
FDESCRIPTION NVARCHAR(255) DEFAULT ' ' NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_SALSCHOOLTYPE') 
 CREATE TABLE T_HCDM_SALSCHOOLTYPE (
FPKID BIGINT DEFAULT 0 NOT NULL,
FID BIGINT DEFAULT 0 NOT NULL,
FBASEDATAID BIGINT DEFAULT 0 NOT NULL
);


IF NOT EXISTS (SELECT 1 FROM KSQL_USERTABLES WHERE KSQL_TABNAME = 'T_HCDM_ADJAPPRPER') 
 CREATE TABLE T_HCDM_ADJAPPRPER (
FID BIGINT DEFAULT 0 NOT NULL,
FADJAPPRBILLID BIGINT DEFAULT 0 NOT NULL,
FADJFILEID BIGINT DEFAULT 0 NOT NULL,
FEMPLOYEEVID BIGINT DEFAULT 0 NOT NULL,
FNUMBER VARCHAR(60) DEFAULT ' ' NOT NULL,
FPERSONVID BIGINT DEFAULT 0 NOT NULL,
FNAME VARCHAR(150) DEFAULT ' ' NOT NULL,
FEMPGROUPID BIGINT DEFAULT 0 NOT NULL,
FDEPCYTYPEID BIGINT DEFAULT 0 NOT NULL,
FCOMPANYID BIGINT DEFAULT 0 NOT NULL,
FADMINORGID BIGINT DEFAULT 0 NOT NULL,
FASSOADMINORGID BIGINT DEFAULT 0 NOT NULL,
FJOBID BIGINT DEFAULT 0 NOT NULL,
FPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FSTDPOSITIONID BIGINT DEFAULT 0 NOT NULL,
FJOBLEVELID BIGINT DEFAULT 0 NOT NULL,
FJOBGRADEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELTYPEID BIGINT DEFAULT 0 NOT NULL,
FLABORRELSTATUSID BIGINT DEFAULT 0 NOT NULL,
FCONTRWORKLOCID BIGINT DEFAULT 0 NOT NULL,
FENTRYDATE DATETIME,
FREALREGULARDATE DATETIME,
FJOBSCMID BIGINT DEFAULT 0 NOT NULL,
FJOBSEQID BIGINT DEFAULT 0 NOT NULL,
FJOBFAMILYID BIGINT DEFAULT 0 NOT NULL,
FJOBCLASSID BIGINT DEFAULT 0 NOT NULL,
FPROJECTTEAMID BIGINT DEFAULT 0 NOT NULL,
FPOSTYPEID BIGINT DEFAULT 0 NOT NULL,
FDEPARTMENTTYPEID BIGINT DEFAULT 0 NOT NULL,
FADMINDIVISIONID BIGINT DEFAULT 0 NOT NULL,
FWORKPLACEID BIGINT DEFAULT 0 NOT NULL,
FINDUSTRYTYPEID BIGINT DEFAULT 0 NOT NULL,
FOPERATIONEQUALID BIGINT DEFAULT 0 NOT NULL,
FEOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLEID BIGINT DEFAULT 0 NOT NULL,
FPROTITLELEVELID BIGINT DEFAULT 0 NOT NULL,
FPROTITLETYPEID BIGINT DEFAULT 0 NOT NULL,
FPOCPQUALLEVELID BIGINT DEFAULT 0 NOT NULL,
FOCPQUALID BIGINT DEFAULT 0 NOT NULL,
FSCHOOLTYPEID BIGINT DEFAULT 0 NOT NULL,
FDIPLOMAID BIGINT DEFAULT 0 NOT NULL,
FRELIGIONID BIGINT DEFAULT 0 NOT NULL,
FNATIONALITYID BIGINT DEFAULT 0 NOT NULL,
FSALARYSTRUCTUREID BIGINT DEFAULT 0 NOT NULL,
FSTDSCMVID BIGINT DEFAULT 0 NOT NULL,
FCONFIRMSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL,
FSYNSTATUS VARCHAR(2) DEFAULT ' ' NOT NULL
);


 --- drop TABLE --------- 不允许删除表T_HCDM_ADJAPPRPERSON，请恢复pdm ------------------- 

/**End E:\NextERP_PDM\PDM_UPGRADE\PDMS\branch_lastest\pdm\HCDM_table.sql **/
